# eric4.VCS.vcsCVS.ProjectHelper

Module implementing the VCS project helper for CVS.

### Classes

CvsProjectHelper | Class implementing the VCS project helper for CVS.

### Functions

None

## CvsProjectHelper

Class implementing the VCS project helper for CVS.

### Derived from

VcsProjectHelper

### Methods

CvsProjectHelper | Constructor
__cvsLogin | Private slot used to login to a remote repository.
__cvsLogout | Private slot used to logout from a remote repository.
_createStatusMonitorThread | Protected method to create an instance of the VCS status monitor thread.
initActions | Private method to generate the action objects.
initMenu | Public method to generate the VCS menu.

#### CvsProjectHelper (Constructor)

CvsProjectHelper(vcsObject, projectObject, parent = None, name = None)

Constructor

vcsObject
  reference to the vcs object
projectObject
  reference to the project object
parent
  parent widget (QWidget)
name
  name of this object (string or QString)

#### CvsProjectHelper.__cvsLogin

__cvsLogin()

Private slot used to login to a remote repository.

#### CvsProjectHelper.__cvsLogout

__cvsLogout()

Private slot used to logout from a remote repository.

#### CvsProjectHelper._createStatusMonitorThread

_createStatusMonitorThread(interval)

Protected method to create an instance of the VCS status monitor thread.

interval
  check interval for the monitor thread in seconds (integer)

Returns:
  reference to the monitor thread (QThread)

#### CvsProjectHelper.initActions

initActions()

Private method to generate the action objects.

#### CvsProjectHelper.initMenu

initMenu(menu)

Public method to generate the VCS menu.

menu
  reference to the menu to be populated (QMenu)

Up